aagc.vo

## Class OperatoreSanitarioResponse

- java.lang.Object
- - aagc.vo.OperatoreSanitarioResponse

-     public class OperatoreSanitarioResponse
      extends java.lang.Object

  Classe Java per operatoreSanitarioResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="operatoreSanitarioResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceComuneResidenza" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codiceFiscale" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="cognome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataNascita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="denominazioneComuneResid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="elencoIncarichiOperatoreSanitario" type="{http://www.nsisr.puglia.it/Schemas/}incaricoOperatoreResponse" maxOccurs="unbounded" minOccurs="0"/>
               <element name="nome" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="sesso" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceComuneResidenza`
    `protected java.lang.String` | `codiceFiscale`
    `protected java.lang.String` | `cognome`
    `protected java.lang.String` | `dataNascita`
    `protected java.lang.String` | `denominazioneComuneResid`
    `protected java.util.List<IncaricoOperatoreResponse>` | `elencoIncarichiOperatoreSanitario`
    `protected java.lang.String` | `nome`
    `protected java.lang.String` | `sesso`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperatoreSanitarioResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceComuneResidenza()` Recupera il valore della proprietà codiceComuneResidenza.
    `java.lang.String` | `getCodiceFiscale()` Recupera il valore della proprietà codiceFiscale.
    `java.lang.String` | `getCognome()` Recupera il valore della proprietà cognome.
    `java.lang.String` | `getDataNascita()` Recupera il valore della proprietà dataNascita.
    `java.lang.String` | `getDenominazioneComuneResid()` Recupera il valore della proprietà denominazioneComuneResid.
    `java.util.List<IncaricoOperatoreResponse>` | `getElencoIncarichiOperatoreSanitario()` Gets the value of the elencoIncarichiOperatoreSanitario property.
    `java.lang.String` | `getNome()` Recupera il valore della proprietà nome.
    `java.lang.String` | `getSesso()` Recupera il valore della proprietà sesso.
    `void` | `setCodiceComuneResidenza(java.lang.String value)` Imposta il valore della proprietà codiceComuneResidenza.
    `void` | `setCodiceFiscale(java.lang.String value)` Imposta il valore della proprietà codiceFiscale.
    `void` | `setCognome(java.lang.String value)` Imposta il valore della proprietà cognome.
    `void` | `setDataNascita(java.lang.String value)` Imposta il valore della proprietà dataNascita.
    `void` | `setDenominazioneComuneResid(java.lang.String value)` Imposta il valore della proprietà denominazioneComuneResid.
    `void` | `setNome(java.lang.String value)` Imposta il valore della proprietà nome.
    `void` | `setSesso(java.lang.String value)` Imposta il valore della proprietà sesso.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceComuneResidenza

          protected java.lang.String codiceComuneResidenza

    - #### codiceFiscale

          protected java.lang.String codiceFiscale

    - #### cognome

          protected java.lang.String cognome

    - #### dataNascita

          protected java.lang.String dataNascita

    - #### denominazioneComuneResid

          protected java.lang.String denominazioneComuneResid

    - #### elencoIncarichiOperatoreSanitario

          protected java.util.List<IncaricoOperatoreResponse> elencoIncarichiOperatoreSanitario

    - #### nome

          protected java.lang.String nome

    - #### sesso

          protected java.lang.String sesso

  - ### Constructor Detail

    - #### OperatoreSanitarioResponse

          public OperatoreSanitarioResponse()

  - ### Method Detail

    - #### getCodiceComuneResidenza

          public java.lang.String getCodiceComuneResidenza()

      Recupera il valore della proprietà codiceComuneResidenza.
      Returns:
        possible object is `String`

    - #### setCodiceComuneResidenza

          public void setCodiceComuneResidenza(java.lang.String value)

      Imposta il valore della proprietà codiceComuneResidenza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscale

          public java.lang.String getCodiceFiscale()

      Recupera il valore della proprietà codiceFiscale.
      Returns:
        possible object is `String`

    - #### setCodiceFiscale

          public void setCodiceFiscale(java.lang.String value)

      Imposta il valore della proprietà codiceFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognome

          public java.lang.String getCognome()

      Recupera il valore della proprietà cognome.
      Returns:
        possible object is `String`

    - #### setCognome

          public void setCognome(java.lang.String value)

      Imposta il valore della proprietà cognome.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataNascita

          public java.lang.String getDataNascita()

      Recupera il valore della proprietà dataNascita.
      Returns:
        possible object is `String`

    - #### setDataNascita

          public void setDataNascita(java.lang.String value)

      Imposta il valore della proprietà dataNascita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDenominazioneComuneResid

          public java.lang.String getDenominazioneComuneResid()

      Recupera il valore della proprietà denominazioneComuneResid.
      Returns:
        possible object is `String`

    - #### setDenominazioneComuneResid

          public void setDenominazioneComuneResid(java.lang.String value)

      Imposta il valore della proprietà denominazioneComuneResid.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoIncarichiOperatoreSanitario

          public java.util.List<IncaricoOperatoreResponse> getElencoIncarichiOperatoreSanitario()

      Gets the value of the elencoIncarichiOperatoreSanitario property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elencoIncarichiOperatoreSanitario property.

      For example, to add a new item, do as follows:

              getElencoIncarichiOperatoreSanitario().add(newItem);

      Objects of the following type(s) are allowed in the list `IncaricoOperatoreResponse`

    - #### getNome

          public java.lang.String getNome()

      Recupera il valore della proprietà nome.
      Returns:
        possible object is `String`

    - #### setNome

          public void setNome(java.lang.String value)

      Imposta il valore della proprietà nome.
      Parameters:
        `value` - allowed object is `String`

    - #### getSesso

          public java.lang.String getSesso()

      Recupera il valore della proprietà sesso.
      Returns:
        possible object is `String`

    - #### setSesso

          public void setSesso(java.lang.String value)

      Imposta il valore della proprietà sesso.
      Parameters:
        `value` - allowed object is `String`